Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.webapp
Class ValidatorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ValidatorTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated. This has been partially replaced by `ValidatorELTag`. The remainder of the functionality, namely, the binding facility and the implementation of the `createValidator()` method, is now an implementation detail.

    public class ValidatorTag

extends javax.servlet.jsp.tagext.TagSupport

ValidatorTag is a base class for all JSP custom actions that create and register a `Validator` instance on the `EditableValueHolder` associated with our most immediate surrounding instance of a tag whose implementation class is a subclass of `UIComponentTag`. To avoid creating duplicate instances when a page is redisplayed, creation and registration of a `Validator` occurs only if the corresponding `UIComponent` was created (by the owning `UIComponentTag`) during the execution of the current page.

This class may be used directly to implement a generic validator registration tag (based on the validator-id specified by the `id` attribute), or as a base class for tag instances that support specific `Validator` subclasses. This `id` attribute must refer to one of the well known validator-ids, or a custom validator-id as defined in a `faces-config.xml` file.

Subclasses of this class must implement the `createValidator()` method, which creates and returns a `Validator` instance. Any configuration properties that specify the limits to be enforced by this `Validator` must have been set by the `createValidator()` method. Generally, this occurs by copying corresponding attribute values on the tag instance.

This tag creates no output to the page currently being created. It is used solely for the side effect of `Validator` creation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ValidatorTag()` Deprecated.

Method Summary
`protected Validator` | `createValidator()` Deprecated. Create and return a new `Validator` to be registered on our surrounding `UIComponent`.
`int` | `doStartTag()` Deprecated. Create a new instance of the specified `Validator` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if the `UIComponent` instance was created by this execution of the containing JSP page.
`void` | `release()` Deprecated. Release references to any acquired resources.
`void` | `setBinding(java.lang.String binding)` Deprecated. Set the expression that will be used to create a `ValueExpression` that references a backing bean property of the `Validator` instance to be created.
`void` | `setValidatorId(java.lang.String validatorId)` Deprecated. Set the identifer of the `Validator` instance to be created.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorTag

    public ValidatorTag()

  Deprecated.

Method Detail

### setValidatorId

    public void setValidatorId(java.lang.String validatorId)

  Deprecated.

  Set the identifer of the `Validator` instance to be created.

  Parameters:
    `validatorId` - The new identifier of the validator instance to be created.

### setBinding

    public void setBinding(java.lang.String binding)
                    throws javax.servlet.jsp.JspException

  Deprecated.

  Set the expression that will be used to create a `ValueExpression` that references a backing bean property of the `Validator` instance to be created.

  Parameters:
    `binding` - The new expression
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP error occurs

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated.

  Create a new instance of the specified `Validator` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if the `UIComponent` instance was created by this execution of the containing JSP page.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP error occurs

### release

    public void release()

  Deprecated.

  Release references to any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### createValidator

    protected Validator createValidator()
                                 throws javax.servlet.jsp.JspException

  Deprecated.

  Create and return a new `Validator` to be registered on our surrounding `UIComponent`.

  Throws:
    `javax.servlet.jsp.JspException` - if a new instance cannot be created

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.